#ifndef _KINEMATICS_H
#define _KINEMATCS_H

#include <iostream>
#include <math.h>
#include <vector>
#include <stdio.h>
#include "operations.h"

std::vector<float> fk(const float& P,const float& p,const float& deltha,const std::vector<float>& m,const std::vector<float>& beta);

std::vector<float> fk_circle(const float& P,const float& p,const float& deltha,const std::vector<float>& m,const std::vector<float>& beta);

void ik(const float& P,const float& p,const float& deltha,const std::vector<float>& rotMat,const std::vector<float>& endefector,std::vector<float>& m);

std::vector<float> fk_newton_raphson(const std::vector<float>& m,const std::vector<float>& pos,std::vector<float>& rot);


#endif
